Loading...
Searching...
No Matches
juce::dsp::Gain< FloatType > Class Template Reference

`#include <juce_Gain.h>`

## Public Member Functions

void | setGainLinear (FloatType newGain) noexcept
void | setGainDecibels (FloatType newGainDecibels) noexcept
FloatType | getGainLinear () const noexcept
FloatType | getGainDecibels () const noexcept
void | setRampDurationSeconds (double newDurationSeconds) noexcept
double | getRampDurationSeconds () const noexcept
bool | isSmoothing () const noexcept
void | prepare (const ProcessSpec &spec) noexcept
void | reset () noexcept
template<typename SampleType>
SampleType JUCE_VECTOR_CALLTYPE | processSample (SampleType s) noexcept
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename FloatType>
class juce::dsp::Gain< FloatType >

Applies a gain to audio samples as single samples or AudioBlocks.

Definition at line 35 of file juce_Gain.h.

## Member Function Documentation

## getGainDecibels()

template<typename FloatType>

FloatType juce::dsp::Gain< FloatType >::getGainDecibels | ( |  | ) | const

inline noexcept

Returns the current gain in decibels.

Definition at line 51 of file juce_Gain.h.

## getGainLinear()

template<typename FloatType>

FloatType juce::dsp::Gain< FloatType >::getGainLinear | ( |  | ) | const

inline noexcept

Returns the current gain as a linear value.

Definition at line 48 of file juce_Gain.h.

Referenced by getGainDecibels().

## getRampDurationSeconds()

template<typename FloatType>

double juce::dsp::Gain< FloatType >::getRampDurationSeconds | ( |  | ) | const

inline noexcept

Returns the ramp duration in seconds.

Definition at line 64 of file juce_Gain.h.

## isSmoothing()

template<typename FloatType>

bool juce::dsp::Gain< FloatType >::isSmoothing | ( |  | ) | const

inline noexcept

Returns true if the current value is currently being interpolated.

Definition at line 67 of file juce_Gain.h.

## prepare()

template<typename FloatType>

void juce::dsp::Gain< FloatType >::prepare | ( | const ProcessSpec & | spec | ) |

inline noexcept

Called before processing starts.

Definition at line 71 of file juce_Gain.h.

## process()

template<typename FloatType>
template<typename ProcessContext>

void juce::dsp::Gain< FloatType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Processes the input and output buffers supplied in the processing context.

Definition at line 94 of file juce_Gain.h.

## processSample()

template<typename FloatType>
template<typename SampleType>

SampleType JUCE_VECTOR_CALLTYPE juce::dsp::Gain< FloatType >::processSample | ( | SampleType | s | ) |

inline noexcept

Returns the result of processing a single sample.

Definition at line 87 of file juce_Gain.h.

## reset()

template<typename FloatType>

void juce::dsp::Gain< FloatType >::reset | ( |  | ) |

inline noexcept

Resets the internal state of the gain

Definition at line 78 of file juce_Gain.h.

Referenced by prepare(), and setRampDurationSeconds().

## setGainDecibels()

template<typename FloatType>

void juce::dsp::Gain< FloatType >::setGainDecibels | ( | FloatType | newGainDecibels | ) |

inline noexcept

Applies a new gain as a decibel value.

Definition at line 45 of file juce_Gain.h.

## setGainLinear()

template<typename FloatType>

void juce::dsp::Gain< FloatType >::setGainLinear | ( | FloatType | newGain | ) |

inline noexcept

Applies a new gain as a linear value.

Definition at line 42 of file juce_Gain.h.

Referenced by setGainDecibels().

## setRampDurationSeconds()

template<typename FloatType>

void juce::dsp::Gain< FloatType >::setRampDurationSeconds | ( | double | newDurationSeconds | ) |

inline noexcept

Sets the length of the ramp used for smoothing gain changes.

Definition at line 54 of file juce_Gain.h.

The documentation for this class was generated from the following file:

- juce_Gain.h